Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv30_routines.F90	(revision 5116)
@@ -226,5 +226,5 @@
   ! @         do 190 i=1,len
   ! @          if((hm(i,k).lt.work(i)).and.
-  ! @      &      (hm(i,k).lt.hm(i,k-1)))then
+  ! @      &      (hm(i,k).lt.hm(i,k-1)))THEN
   ! @            work(i)=hm(i,k)
   ! @            ihmin(i)=k
@@ -234,5 +234,5 @@
   ! @       do 210 i=1,len
   ! @         ihmin(i)=min(ihmin(i),nlm)
-  ! @         if(ihmin(i).le.minorig)then
+  ! @         IF(ihmin(i).le.minorig)THEN
   ! @           iflag(i)=6
   ! @         endif
@@ -250,5 +250,5 @@
   ! @       do 240 k=minorig+1,nl
   ! @         do 230 i=1,len
-  ! @          if((hm(i,k).gt.work(i)).and.(k.le.ihmin(i)))then
+  ! @          if((hm(i,k).gt.work(i)).and.(k.le.ihmin(i)))THEN
   ! @            work(i)=hm(i,k)
   ! @            nk(i)=k
@@ -449,5 +449,5 @@
 
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routine undilute 1 413: entree'
+        WRITE(*,*) 'cv30_routine undilute 1 413: entree'
 #endif
 
@@ -544,5 +544,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
     ! ori          else
@@ -566,5 +566,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
     ! ori          else
@@ -612,19 +612,19 @@
        enddo
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routine undilute1 573: avant condiso' 
-        write(*,*) 't(1,1)=',t(1,1)                 
+        WRITE(*,*) 'cv30_routine undilute1 573: avant condiso'
+        WRITE(*,*) 't(1,1)=',t(1,1)
         do i=1,len
            CALL iso_verif_positif(t(i,icbs(i))-Tmin_verif, &
               'cv30_routines 654')
         enddo
-        if (iso_HDO.gt.0) then            
+        if (iso_HDO.gt.0) THEN
          do i=1,len
-          if (qnk(i).gt.ridicule) then
+          if (qnk(i).gt.ridicule) THEN
            CALL iso_verif_aberrant(xt_k(iso_hdo,i)/qnk(i), &
                   'cv30_routines 576')
-           endif  !if (qnk(i).gt.ridicule) then
+           endif  !if (qnk(i).gt.ridicule) THEN
          enddo        
-        endif !if (iso_HDO.gt.0) then 
-!        write(*,*) 'i=1, clw_k,qnk=',clw_k(1),qnk(1)
+        endif !if (iso_HDO.gt.0) THEN
+!        WRITE(*,*) 'i=1, clw_k,qnk=',clw_k(1),qnk(1)
 #endif
        CALL condiso_liq_ice_vectall(xt_k(1,1),qnk(1), &
@@ -633,5 +633,5 @@
 #ifdef ISOTRAC
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routines 658: CALL condiso_liq_ice_vectall_trac'
+        WRITE(*,*) 'cv30_routines 658: CALL condiso_liq_ice_vectall_trac'
 #endif
         CALL condiso_liq_ice_vectall_trac(xt_k(1,1),qnk(1), &
@@ -647,12 +647,12 @@
 
 #ifdef ISOVERIF
-            write(*,*) 'cv30_routine undilute 1 598: apres condiso'
+            WRITE(*,*) 'cv30_routine undilute 1 598: apres condiso'
           
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do i=1,len
               CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icbs(i)), &
                clw(i,icbs(i)),'cv30_routines 577',errmax,errmaxrel)
             enddo !do i=1,len
-          endif !if (iso_eau.gt.0) then 
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC   
         do i=1,len
@@ -712,5 +712,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
     ! ori          else
@@ -734,5 +734,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-    ! ori          if(tc.ge.0.0)then
+    ! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
     ! ori          else
@@ -784,11 +784,11 @@
         enddo !do i=1,len
 #ifdef ISOVERIF 
-        write(*,*) 'cv30_routines 739: avant condiso'
-        if (iso_HDO.gt.0) then            
+        WRITE(*,*) 'cv30_routines 739: avant condiso'
+        if (iso_HDO.gt.0) THEN
          do i=1,len
            CALL iso_verif_aberrant(xt_k(iso_hdo,i)/qnk(i), &
                   'cv30_routines 725')
          enddo        
-        endif !if (iso_HDO.gt.0) then 
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC   
         do i=1,len
@@ -813,10 +813,10 @@
 
 #ifdef ISOVERIF            
-!write(*,*) 'DEBUG ISO B'
+!WRITE(*,*) 'DEBUG ISO B'
           do i=1,len
-            if (iso_eau.gt.0) then 
+            if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icb(i)+1), &
                  clw(i,icb(i)+1),'cv30_routines 708',errmax,errmaxrel)
-            endif ! if (iso_eau.gt.0) then 
+            endif ! if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC   
            CALL iso_verif_traceur(xtclw(1,i,icb(i)+1), &
@@ -824,5 +824,5 @@
 #endif            
           enddo !do i=1,len
-            !write(*,*) 'FIN DEBUG ISO B'
+            !WRITE(*,*) 'FIN DEBUG ISO B'
 #endif  
 #endif
@@ -897,5 +897,5 @@
   ! oct3       ath  = th(i,icb(i)-1) - dttrig
   ! oct3
-  ! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) then
+  ! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
   ! oct3         do 60 k=1,nl
   ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -905,5 +905,5 @@
   ! oct3         iflag(i)=4 ! pour version vectorisee
   ! oct3c convect3         iflag(i)=0
-  ! oct3cccc         return
+  ! oct3cccc         RETURN
   ! oct3       endif
   ! oct3
@@ -1009,10 +1009,10 @@
         do k=1,nd
           do i=1,nloc
-            if (essai_convergence) then
+            if (essai_convergence) THEN
             else
               q(i,k)=0.0
               clw(i,k)=0.0 ! mise en commentaire le 5 avril pour verif
 !            convergence
-            endif  !f (negation(essai_convergence)) then
+            endif  !f (negation(essai_convergence)) THEN
             do ixt=1,ntraciso
               xt(ixt,i,k)=0.0
@@ -1021,5 +1021,5 @@
           enddo !do i=1,len
         enddo !do k=1,nd
-!        write(*,*) 'q(1,1),xt(iso_eau,1,1)=',q(1,1),xt(iso_eau,1,1)
+!        WRITE(*,*) 'q(1,1),xt(iso_eau,1,1)=',q(1,1),xt(iso_eau,1,1)
 #endif
 
@@ -1052,5 +1052,5 @@
            xtclw(ixt,nn,k)=xtclw1(ixt,i,k)
         enddo
-!        write(*,*) 'nn,i,k,q(nn,k),xt(iso_eau,nn,k)=', &
+!        WRITE(*,*) 'nn,i,k,q(nn,k),xt(iso_eau,nn,k)=', &
 !                & nn,i,k,q(nn, k),xt(ixt,nn,k)
 #endif
@@ -1063,5 +1063,5 @@
   ! nn=0
   ! do 101 i=1,len
-  ! if(iflag1(i).eq.0)then
+  ! IF(iflag1(i).eq.0)THEN
   ! nn=nn+1
   ! tra(nn,k,j)=tra1(i,k,j)
@@ -1101,8 +1101,8 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
         do k = 1, nd
          do i = 1, nloc  
-        !write(*,*) 'i,k=',i,k                 
+        !WRITE(*,*) 'i,k=',i,k
         CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k),clw(i,k), &
                   'compress 973',errmax,errmaxrel)
@@ -1111,5 +1111,5 @@
          enddo
         enddo
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
        do k = 1, nd
          do i = 1, nn
@@ -1167,5 +1167,5 @@
   ! - vertical profile of buoyancy computed here (use of buoybase)
   ! - the determination of inb is different
-  ! - no inb1, only inb in output
+  ! - no inb1, ONLY inb in output
   ! ---------------------------------------------------------------------
 
@@ -1244,5 +1244,5 @@
   DO k = minorig + 1, nl
     DO i = 1, ncum
-      ! ori	    if(k.ge.(icb(i)+1))then
+      ! ori	    IF(k.ge.(icb(i)+1))THEN
       IF (k>=(icbs(i)+1)) THEN ! convect3
         tg = t(i, k)
@@ -1265,5 +1265,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0) ! convect3
-        ! ori	       if(tc.ge.0.0)then
+        ! ori	       IF(tc.ge.0.0)THEN
         es = 6.112*exp(17.67*tc/denom)
         ! ori	       else
@@ -1285,5 +1285,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0) ! convect3
-        ! ori	       if(tc.ge.0.0)then
+        ! ori	       IF(tc.ge.0.0)THEN
         es = 6.112*exp(17.67*tc/denom)
         ! ori	       else
@@ -1326,17 +1326,17 @@
        enddo !do i=1,ncum
 #ifdef ISOVERIF
-        !write(*,*) 'cv30_routine 1259: avant condiso'
-        if (iso_HDO.gt.0) then            
+        !WRITE(*,*) 'cv30_routine 1259: avant condiso'
+        if (iso_HDO.gt.0) THEN
          do i=1,ncum
            CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
                   'cv30_routines 1231')
          enddo        
-        endif !if (iso_HDO.gt.0) then 
-        if (iso_eau.gt.0) then            
+        endif !if (iso_HDO.gt.0) THEN
+        if (iso_eau.gt.0) THEN
          do i=1,ncum
            CALL iso_verif_egalite(xtnk(iso_eau,i),qnk(i), &
                   'cv30_routines 1373')
          enddo        
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
         do i=1,ncum
          if ((iso_verif_positif_nostop(qnk(i)-clw_k(i), &
@@ -1345,8 +1345,8 @@
              'cv30_routines 1297a').eq.1).or.  &
              (iso_verif_positif_nostop(Tmax_verif-tg_k(i), &
-             'cv30_routines 1297b').eq.1)) then
-          write(*,*) 'i,k,qnk,clw_k=',i,k,qnk(i),clw_k(i)
-          write(*,*) 'tg,t,qg=',tg_k(i),t(i,k),qg_save(i,k)
-          write(*,*) 'icbs(i)=',icbs(i)
+             'cv30_routines 1297b').eq.1)) THEN
+          WRITE(*,*) 'i,k,qnk,clw_k=',i,k,qnk(i),clw_k(i)
+          WRITE(*,*) 'tg,t,qg=',tg_k(i),t(i,k),qg_save(i,k)
+          WRITE(*,*) 'icbs(i)=',icbs(i)
           stop
          endif ! if ((iso_verif_positif_nostop
@@ -1363,5 +1363,5 @@
 #ifdef ISOTRAC
 #ifdef ISOVERIF
-        write(*,*) 'cv30_routines 1283: condiso pour traceurs'
+        WRITE(*,*) 'cv30_routines 1283: condiso pour traceurs'
 #endif
         CALL condiso_liq_ice_vectall_trac(xtnk(1,1),qnk(1), &
@@ -1376,10 +1376,10 @@
         enddo !do i=1,ncum
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           do i=1,ncum        
            CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k), &
                 clw(i,k),'cv30_routines 1223',errmax,errmaxrel)
           enddo
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC   
         do i=1,ncum
@@ -1405,7 +1405,7 @@
       ep(i, k) = amin1(ep(i,k), epmax)
       sigp(i, k) = spfac
-      ! ori          if(k.ge.(nk(i)+1))then
+      ! ori          IF(k.ge.(nk(i)+1))THEN
       ! ori            tca=tp(i,k)-t0
-      ! ori            if(tca.ge.0.0)then
+      ! ori            IF(tca.ge.0.0)THEN
       ! ori              elacrit=elcrit
       ! ori            else
@@ -1431,5 +1431,5 @@
   ! ori      do 340 k=minorig+1,nl
   ! ori        do 330 i=1,ncum
-  ! ori        if(k.ge.(icb(i)+1))then
+  ! ori        IF(k.ge.(icb(i)+1))THEN
   ! ori          tvp(i,k)=tvp(i,k)*(1.0-qnk(i)+ep(i,k)*clw(i,k))
   ! oric         PRINT*,'i,k,tvp(i,k),qnk(i),ep(i,k),clw(i,k)'
@@ -1508,10 +1508,10 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -1535,9 +1535,9 @@
   ! do 530 k=minorig+1,nl-1
   ! do 520 i=1,ncum
-  ! if(k.ge.(icb(i)+1))then
+  ! IF(k.ge.(icb(i)+1))THEN
   ! by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! cape(i)=cape(i)+by
-  ! if(by.ge.0.0)inb1(i)=k+1
-  ! if(cape(i).gt.0.0)then
+  ! IF(by.ge.0.0)inb1(i)=k+1
+  ! IF(cape(i).gt.0.0)THEN
   ! inb(i)=k+1
   ! capem(i)=cape(i)
@@ -1565,11 +1565,11 @@
   ! ori      do 530 k=minorig+1,nl-1
   ! ori        do 520 i=1,ncum
-  ! ori          if(cape(i).lt.0.0)lcape(i)=.FALSE.
-  ! ori          if((k.ge.(icb(i)+1)).and.lcape(i))then
+  ! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
+  ! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
   ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
   ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
   ! ori            cape(i)=cape(i)+by
-  ! ori            if(by.ge.0.0)inb1(i)=k+1
-  ! ori            if(cape(i).gt.0.0)then
+  ! ori            IF(by.ge.0.0)inb1(i)=k+1
+  ! ori            IF(cape(i).gt.0.0)THEN
   ! ori              inb(i)=k+1
   ! ori              capem(i)=cape(i)
@@ -1691,5 +1691,5 @@
   END DO
 
-  !      if(inb.lt.(nl-1))then
+  !      IF(inb.lt.(nl-1))THEN
   !         do 85 i=inb+1,nl-1
   !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
@@ -1841,8 +1841,8 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_tmin,option_traceurs,seuil_tag_tmin, &
+    use isotrac_mod, ONLY: option_tmin,option_traceurs,seuil_tag_tmin, &
 &       option_cond,index_zone,izone_cond,index_iso
-    use isotrac_routines_mod, only: iso_recolorise_condensation
-    use isotopes_routines_mod, only: condiso_liq_ice_vectall_trac
+    use isotrac_routines_mod, ONLY: iso_recolorise_condensation
+    use isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
     use isotopes_verif_mod, ONLY: iso_verif_trac17_q_deltad,iso_verif_traceur, &
@@ -1923,6 +1923,6 @@
 #ifdef ISO
 #ifdef ISOVERIF
-      write(*,*) 'cv30_routines 1820: entree dans cv3_mixing'
-      if (iso_eau.gt.0) then
+      WRITE(*,*) 'cv30_routines 1820: entree dans cv3_mixing'
+      if (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xtclw,clw, &
@@ -2046,16 +2046,16 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        !write(*,*) 'cv30_routines tmp 2078'
+        !WRITE(*,*) 'cv30_routines tmp 2078'
 #endif
        do il=1,ncum
          zfice(il) = 1.0-(t(il,j)-pxtice)/(pxtmelt-pxtice)
          zfice(il) = MIN(MAX(zfice(il),0.0),1.0)        
-         if( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+         IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
+            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
           do ixt=1,ntraciso
 !           xtrti(ixt)=xt(ixt,il,1)-xtep(ixt,il,i)*xtclw(ixt,il,i) ! le 7 mai: on supprime xtep
            xtrti(ixt,il)=xt(ixt,il,1)-ep(il,i)*xtclw(ixt,il,i)      
           enddo
-          if(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)then    
+          IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
 ! temperature of condensation (within mixtures):
 !          tcond(il)=t(il,j)  
@@ -2069,6 +2069,6 @@
                              +(1.-sij(il,i,j))*xtrti(ixt,il)
           enddo !do ixt = 1, ntraciso
-         endif  !if(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
        enddo  !do il=1,ncum 
 
@@ -2083,8 +2083,8 @@
         do il=1,ncum
           CALL iso_verif_traceur(xt(1,il,i),'cv30_routines 1967')
-          if( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
+            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
           CALL iso_verif_traceur(xtrti(1,il),'cv30_routines 1968')
-          endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+          endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv30_routines 1969')
           
@@ -2099,14 +2099,14 @@
 
 #ifdef ISOVERIF
-        if ((j.eq.15).and.(i.eq.15)) then
+        if ((j.eq.15).and.(i.eq.15)) THEN
         il=2722
-        if (il.le.ncum) then
-                write(*,*) 'cv30_routines tmp 2194, il,i,j=',il,i,j
-                write(*,*) 'qent,elij=',qent(il,i,j),elij(il,i,j)
-                write(*,*) 'tgsave,zfice=',t(il,j),zfice(il)
-                write(*,*) 'deltaDqent=',deltaD(xtent(iso_HDO,il,i,j)/qent(il,i,j))
-                write(*,*) 'deltaDelij=',deltaD(xtelij(iso_HDO,il,i,j)/elij(il,i,j))
-                write(*,*) 'deltaDice=',deltaD(zxtice(iso_HDO,il)/(zfice(il)*elij(il,i,j)))
-                write(*,*) 'deltaDliq=',deltaD(zxtliq(iso_HDO,il)/(1.0-zfice(il)*elij(il,i,j)))
+        if (il.le.ncum) THEN
+                WRITE(*,*) 'cv30_routines tmp 2194, il,i,j=',il,i,j
+                WRITE(*,*) 'qent,elij=',qent(il,i,j),elij(il,i,j)
+                WRITE(*,*) 'tgsave,zfice=',t(il,j),zfice(il)
+                WRITE(*,*) 'deltaDqent=',deltaD(xtent(iso_HDO,il,i,j)/qent(il,i,j))
+                WRITE(*,*) 'deltaDelij=',deltaD(xtelij(iso_HDO,il,i,j)/elij(il,i,j))
+                WRITE(*,*) 'deltaDice=',deltaD(zxtice(iso_HDO,il)/(zfice(il)*elij(il,i,j)))
+                WRITE(*,*) 'deltaDliq=',deltaD(zxtliq(iso_HDO,il)/(1.0-zfice(il)*elij(il,i,j)))
         endif
         endif
@@ -2114,29 +2114,29 @@
 
 #ifdef ISOTRAC    
-!        write(*,*) 'cv30_routines tmp 1987,option_traceurs=',
+!        WRITE(*,*) 'cv30_routines tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         do il=1,ncum    
-!        write(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
+!        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
 !     :           'tcond(il),rs(il,j)=',
 !     :            il,i,j,xtent(:,il,i,j),tcond(il),rs(il,j)
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag spEcifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) then  
-            if (option_traceurs.eq.17) then        
+          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                  0.0,xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
-!             write(*,*) 'cv3 2002: il,i,j  =',il,i,j   
+            else !if (option_traceurs.eq.17) THEN
+!             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
             enddo     
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
         enddo !do il=1,ncum
 #ifdef ISOVERIF
@@ -2148,15 +2148,15 @@
         enddo !do il=1,ncum 
 #endif        
-        endif !if (option_tmin.ge.1) then       
+        endif !if (option_tmin.ge.1) THEN
 #endif
 
 ! fractionation:
 #ifdef ISOVERIF 
-!        write(*,*) 'cv30_routines 2050: avant condiso'
+!        WRITE(*,*) 'cv30_routines 2050: avant condiso'
         do il=1,ncum
         if ((i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il))) then
-        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95) then  
-        if (iso_eau.gt.0) then
+            (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
+        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95) THEN
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,j), &
               qent(il,i,j),'cv30_routines 1889',errmax,errmaxrel)
@@ -2164,5 +2164,5 @@
               elij(il,i,j),'cv30_routines 1890',errmax,errmaxrel)
         endif
-        if (iso_HDO.gt.0) then    
+        if (iso_HDO.gt.0) THEN
           CALL iso_verif_aberrant_choix(xt(iso_HDO,il,i),rr(il,i), &
                   ridicule,deltalim,'cv30_routines 1997')
@@ -2173,7 +2173,7 @@
                   xtelij(iso_HDO,il,i,j),elij(il,i,j), &
                   ridicule,deltalim,'cv30_routines 1993')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC  
-!        write(*,*) 'cv30_routines tmp 2039 il=',il
+!        WRITE(*,*) 'cv30_routines tmp 2039 il=',il
            CALL iso_verif_traceur(xtent(1,il,i,j), &
                          'cv30_routines 2031')
@@ -2182,9 +2182,9 @@
 #endif        
 
-        endif !if(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
         enddo !do il=1,ncum
 #endif
-!        write(*,*) 'cv30_routine tmp 1984: cond=',elij(il,i,j)
+!        WRITE(*,*) 'cv30_routine tmp 1984: cond=',elij(il,i,j)
          
         
@@ -2196,6 +2196,6 @@
     ! do j=minorig,nl
     ! do il=1,ncum
-    ! if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-    ! :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+    ! IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+    ! :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
     ! traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
     ! :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
@@ -2216,5 +2216,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-        ! @      if(nent(il,i).eq.0)then
+        ! @      IF(nent(il,i).eq.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = rr(il, nk(il)) - ep(il, i)*clw(il, i)
@@ -2233,18 +2233,18 @@
 
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(xtelij(iso_eau,il,i,i), &
                elij(il,i,i),'cv30_mixing 2117',errmax,errmaxrel)
-       endif !if (iso_eau.gt.0) then 
+       endif !if (iso_eau.gt.0) THEN
 #endif
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
-!        write(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
+!        WRITE(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) then 
-            if (option_traceurs.eq.17) then
+          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2252,5 +2252,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2258,5 +2258,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -2270,6 +2270,5 @@
             enddo
 #endif            
-          endif !if (cond.gt.0.0) then
-          
+          endif !if (cond.gt.0.0) THEN
 #ifdef ISOVERIF          
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
@@ -2278,5 +2277,5 @@
           CALL iso_verif_traceur(xtelij(1,il,i,i),'cv30_routines 2096')
 #endif        
-        endif !if (option_tmin.ge.1) then    
+        endif !if (option_tmin.ge.1) THEN
 #endif
 
@@ -2289,5 +2288,5 @@
   ! do i=minorig+1,nl
   ! do il=1,ncum
-  ! if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) then
+  ! if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
   ! traent(il,i,i,j)=tra(il,nk(il),j)
   ! endif
@@ -2467,18 +2466,18 @@
 
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix(xtelij(iso_eau,il,i,i), &
                elij(il,i,i),'cv30_mixing 2354',errmax,errmaxrel)
-      endif  !if (iso_eau.gt.0) then
+      endif  !if (iso_eau.gt.0) THEN
 #endif
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
-!        write(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
+!        WRITE(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) then 
-            if (option_traceurs.eq.17) then          
+          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2486,5 +2485,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -2492,5 +2491,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            endif ! if (option_traceurs.eq.17) then
+            endif ! if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -2504,5 +2503,5 @@
             enddo
 #endif               
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
 #ifdef ISOVERIF          
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
@@ -2511,5 +2510,5 @@
           CALL iso_verif_traceur(xtelij(1,il,i,i),'cv30_routines 2323')
 #endif        
-        endif !if (option_tmin.ge.1) then
+        endif !if (option_tmin.ge.1) THEN
 #endif
       END IF
@@ -2519,5 +2518,5 @@
     ! do il=1,ncum
     ! if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-    ! :     .and. csum(il,i).lt.m(il,i) ) then
+    ! :     .and. csum(il,i).lt.m(il,i) ) THEN
     ! traent(il,i,i,j)=tra(il,nk(il),j)
     ! endif
@@ -2561,10 +2560,10 @@
        do jm = 1, nd
         do il = 1, ncum
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,il,im,jm), &
                elij(il,im,jm),'cv30_mixing 2110',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(xtent(iso_eau,il,im,jm),  &
                qent(il,im,jm),'cv30_mixing 2112',errmax,errmaxrel)
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(xtelij(1,il,im,jm), &
@@ -2580,5 +2579,5 @@
 #ifdef ISOTRAC
         ! seulement a la fin on taggue le condensat
-        if (option_cond.ge.1) then
+        if (option_cond.ge.1) THEN
          do im = 1, nd
          do jm = 1, nd
@@ -2586,9 +2585,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) then
+             if (index_zone(ixt).eq.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=xtelij(index_iso(ixt),il,im,jm)
-             else !if (index_zone(ixt).eq.izone_cond) then
+             else !if (index_zone(ixt).eq.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) then
+             endif !if (index_zone(ixt).eq.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -2605,9 +2604,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) then
+             if (index_zone(ixt).eq.izone_cond) THEN
                 xtclw(ixt,il,im)=xtclw(index_iso(ixt),il,im)
-             else !if (index_zone(ixt).eq.izone_cond) then
+             else !if (index_zone(ixt).eq.izone_cond) THEN
                 xtclw(ixt,il,im)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) then
+             endif !if (index_zone(ixt).eq.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -2618,8 +2617,8 @@
         if (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cv30_routines 909').eq.1) then
-               write(*,*) 'i,k=',i,k
-               write(*,*) 'xtclw=',xtclw(:,i,k)
-               write(*,*) 'niso,ntraciso,index_zone,izone_cond=', &
+                 ,'cv30_routines 909').eq.1) THEN
+               WRITE(*,*) 'i,k=',i,k
+               WRITE(*,*) 'xtclw=',xtclw(:,i,k)
+               WRITE(*,*) 'niso,ntraciso,index_zone,izone_cond=', &
                    niso,ntraciso,index_zone,izone_cond
                stop
@@ -2628,6 +2627,6 @@
          enddo !do il = 1, ncum   
          enddo !do im = 1, nd
-!         write(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
-        endif !if (option_tmin.eq.1) then
+!         WRITE(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
+        endif !if (option_tmin.eq.1) THEN
 #endif
 #endif
@@ -2658,5 +2657,5 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_cond,izone_cond
+    use isotrac_mod, ONLY: option_cond,izone_cond
     use infotrac_phy, ONLY: itZonIso
 #ifdef ISOVERIF
@@ -2739,5 +2738,5 @@
   ! ------------------------------------------------------
 !#ifdef ISOVERIF
-!        write(*,*) 'cv30_routines 2382: entree dans cv3_unsat'
+!        WRITE(*,*) 'cv30_routines 2382: entree dans cv3_unsat'
 !#endif
 
@@ -2775,10 +2774,10 @@
 !-- debug
 #ifdef ISOVERIF
-            if(iso_eau.gt.0) then
+            IF(iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xt(iso_eau,il,i),rr(il,i), &
                         'cv30_unsat 2245 ',errmax,errmaxrel)
              CALL iso_verif_egalite_choix(xtp(iso_eau,il,i),rp(il,i), &
                          'cv30_unsat 2247 ',errmax,errmaxrel)
-            endif !if(iso_eau.gt.0) then
+            endif !IF(iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xt(1,il,i),'cv30_routine 2410')
@@ -2853,8 +2852,8 @@
 !--debug:
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv30_routines 2313',errmax,errmaxrel)
-             endif !if (iso_eau.gt.0) then
+             endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwdtrain(1,il),'cv30_routine 2480')
@@ -2887,5 +2886,5 @@
 #ifdef ISO
 ! precip mixed drafts computed from: xtawat/xtelij = awat/elij           
-            if (elij(il,j,i).ne.0.0) then
+            if (elij(il,j,i).ne.0.0) THEN
              do ixt=1,ntraciso
                xtawat(ixt)=xtelij(ixt,il,j,i)*(awat/elij(il,j,i))
@@ -2900,8 +2899,8 @@
 
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then
+              if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtawat(iso_eau), &
                  awat,'cv30_routines 2391',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtawat(1),'cv30_routine 2522')
